## mars.mips.instructions.syscalls
Class SyscallTime

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallTime

All Implemented Interfaces:
  Syscall

    public class SyscallTime

extends AbstractSyscall

Service to read a character from input console into $a0.

Constructor Summary
`SyscallTime()` Build an instance of the Read Char syscall.

Method Summary
`void` `simulate(ProgramStatement statement)` Performs syscall function to place current system time into $a0 (low order 32 bits) and $a1 (high order 32 bits).

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallTime

    public SyscallTime()

  Build an instance of the Read Char syscall. Default service number is 12 and name is "ReadChar".

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  Performs syscall function to place current system time into $a0 (low order 32 bits) and $a1 (high order 32 bits).

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`